UPDATE port_fail_patterns SET port_fail_pattern_expr = '\\.(c|cc|cxx|cpp|h|y)[1-9:]+ .+\\.[hH]: No such file' WHERE port_fail_pattern_id = '900';
UPDATE port_fail_patterns SET port_fail_pattern_expr = '(syntax error before|friend declaration|no matching function for call to|.main. must return .int.|invalid conversion from|cannot be used as a macro name as it is an operator in C\\+\\+|is not a member of type|after previous specification in|no class template named|because worst conversion for the former|better than worst conversion|no match for.*operator|no match for call to|undeclared in namespace|is used as a type, but is not|error: array bound forbidden|error: class definition|error: expected constructor|error: there are no arguments|error:.*cast.*loses precision|ISO C\\+\\+|error: invalid pure specifier|error: invalid (argument type|integral value|operand|token|use of a cast|value)|error: expected.*(at end of declaration|expression|identifier)|error:.*not supported)' WHERE port_fail_pattern_id = '1700';
UPDATE port_fail_patterns SET port_fail_pattern_expr = '(USER.*PID.*TIME.*COMMAND|pnohang: killing make package)' WHERE port_fail_pattern_id = '4800';
UPDATE port_fail_patterns SET port_fail_pattern_expr = '(error: a parameter list without types|error: C++ requires a type specifier|error: allocation of incomplete type|error: array is too large|error: binding of reference|error: call to func.*neither visible|error: called object type|error: cannot combine with previous.*specifier|error: cannot initialize (a parameter|a variable|return object)|error: cannot pass object|error:.*cast from pointer|error: comparison of unsigned.*expression.*is always|error: conversion.*(is ambiguous|specifies type)|error:.*converts between pointers to integer|error: declaration of.*shadows template parameter|error:.*declared as an array with a negative size|error: default arguments cannot be added|error: default initialization of an object|error: definition.*not in a namespace|error:.*directive requires a positive integer argument|error: elaborated type refers to a typedef|error: exception specification|error: explicit specialization.*after instantiation|error: explicitly assigning a variable|error: expression result unused|error: fields must have a constant size|error: flexible array member|error: (first|second) (argument|parameter) of .main|error: format string is not a string literal|error: function.*is not needed|error: global register values are not supported|error:.*hides overloaded virtual function|error: if statement has empty body|error: illegal storage class on function|error: implicit (conversion|declaration|instantiation)|error: indirection.*will be deleted|error: initializer element is not.*constant|error: initialization of pointer|error: indirect goto might cross|error:.*is a (private|protected) member|error: member (of anonymous union|reference)|error: no matching member|error: non-const lvalue|error: non-void function.*should return a value|error: no (matching constructor|member named|viable overloaded)|error: parameter.*must have type|error: passing.*(a.*value|incompatible type)|error: qualified reference|error: redeclaration of.*built-in type|error:.*requires a (constant expression|pointer or reference|type specifier)|error: redefinition of|error: switch condition has boolean|error: taking the address of a temporary object|error: target.*conflicts with declaration|error:.*unable to pass LLVM bit-code files to linker|error: unexpected token|error: unknown (machine mode|type name)|error: unsupported (inline asm|option)|error: unused (function|parameter)|error: use of (GNU old-style field designator|undeclared identifier|unknown builtin)|error: using the result of an assignment|error: variable.*is unitialized|error: variable length array|error: void function.*should not return a value|the clang compiler does not support|Unknown depmode none)' WHERE port_fail_pattern_id = '6500';
UPDATE port_fail_patterns SET port_fail_pattern_expr = '(Cannot exec cc|cannot find program cc|cc: No such file or directory|cc.*must be installed to build|compiler not found|error: no acceptable C compiler|g\+\+: No such file or directory|g\+\+.*not found)' WHERE port_fail_pattern_id = '6600';
ALTER TABLE port_dependencies DROP CONSTRAINT port_dependencies_dependency_type_check;
ALTER TABLE port_dependencies ADD CHECK(dependency_type IN ('UNKNOWN', 'PKG_DEPENDS', 'EXTRACT_DEPENDS', 'PATCH_DEPENDS', 'FETCH_DEPENDS', 'BUILD_DEPENDS', 'LIB_DEPENDS', 'RUN_DEPENDS', 'TEST_DEPENDS'));
UPDATE port_fail_patterns SET port_fail_pattern_expr = '(error.*hostname nor servname provided|fetch:.*No address record|Member name contains .\\.\\.)' WHERE port_fail_pattern_id = '3400';
INSERT INTO port_fail_reasons VALUES ('apache_version', 'USE_APACHE is defined and the port is not compatible with the default apache version', 'RARE');
INSERT INTO port_fail_reasons VALUES ('apache_macro', 'Illegal use of USE_APACHE macros', 'COMMON');
INSERT INTO port_fail_patterns VALUES (6900, 'apache.*and port requires apache', 'apache_version', 0);
INSERT INTO port_fail_patterns VALUES (7000, 'Illegal use of USE_APACHE', 'apache_macro', 0);
UPDATE config SET config_option_value = '4.0.0' WHERE config_option_name = '__DSVERSION__';
