INSERT INTO hooks VALUES ('preAddPort', NULL, 'Hook to run before adding a port to a Build within the datastore.\nIf this command returns a non-zero value, the port will not be added to the specified Build.\nThe following environment will be passed to the hook command:\n\tBUILD : Build name for which this port is being added\n\tPORTDIR : Port directory being added\n\tOPTIONS : 1 if OPTIONS should be used during the addPort operation; 0 otherwise\n\tNORECURSE : -R if no recursion is to be used; the empty string otherwise\n\tCLEANOPTIONS : 1 if rmconfig is to be done prior to using OPTIONS; 0 otherwise\n\tPB : Tinderbox root');
INSERT INTO hooks VALUES ('postAddPort', NULL, 'Hook to run after adding a port to a Build in the datastore.\nThe following environment will be passed to the hook command:\n\tBUILD : Build name for which this port was added\n\tPORTDIR : Port directory that was added\n\tRC : Result code of the add port operation\n\tPB : Tinderbox root');
INSERT INTO hooks VALUES ('preTinderbuild', NULL, 'Hook to return before starting a tinderbuild run.\nIf this command returns a non-zero value, the tinderbuild will not execute.\nThe following environment will be passed to the hook command:\n\tBUILD : Build name for which the tinderbuild will be run\n\tJAIL : Jail name associated to this Build\n\tPORTSTREE : PortsTree name associated with this Build\n\tPORTS : Space-separated list of ports that will be built\n\tPB : Tinderbox root');
INSERT INTO hooks VALUES ('postTinderbuild', NULL, 'Hook to run after the tinderbuild phase has completed.\nThe following environment will be passed to the hook command:\n\tBUILD : Build name for which the tinderbuild will be run\n\tJAIL : Jail name associated to this Build\n\tPORTSTREE : PortsTree name associated with this Build\n\tPORTS : Space-separated list of ports that will be built\n\tPB : Tinderbox root\n\tRC : Result code of the tinderbuild operation');
UPDATE config SET config_option_value = '4.0.1' WHERE config_option_name = '__DSVERSION__';
